Bug 866626 - Cartridge PUT is returning application instead of cartridge object [US2862]
Cartridge PUT is returning application instead of cartridge object [US2862]
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 14:29 EDT by Clayton Coleman
Modified: 2015-05-14 20:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:47:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-10-15 14:29:53 EDT
PUT /broker/rest/domains/98eu34ntucg/applications/scaling/cartridges/ruby-1.9.json is returning the application resource, not the cartridge resource.

A successful PUT should return GET /broker/rest/domains/98eu34ntucg/applications/scaling/cartridges/ruby-1.9.json

Blocks closing out testing and ui.
Comment 1 Clayton Coleman 2012-10-15 14:31:51 EDT
E.g. PUT /broker/rest/domains/98eu34ntucg/applications/scaling/cartridges/ruby-1.9.json should return:

{status:'ok', messages: [...], type: 'cartridge', data: {scales_from: x, ...}}

but is returning 

{status:'ok', messages: [...], type: 'application', data: {/*data for application*/}}
Comment 2 Rajat Chopra 2012-10-16 23:42:48 EDT
fixed with rev#2b9db98fb91fc323efcf in crankcase.repo
Comment 3 mzimen 2012-10-17 05:31:25 EDT
{"messages":[{"severity":"info","field":null,"exit_code":null,"text":"Updated php-5.3 from application php"}],"version":"1.2","type":"cartridge","status":"ok","data":
...

Note You need to log in before you can comment on or make changes to this bug.